--Demonstrativo do Movimento de Venda
--Especie
SELECT r.forma_recebimento,
	r.documento,
	SUM(r.total) AS total
FROM (
	SELECT	ef.denominacao AS forma_recebimento,
		emv.documento_especie AS documento,
		emv.valor_especie AS total
	FROM	especie_movimento_venda AS emv
		INNER JOIN movimento_venda_terminal AS mvt ON (mvt.id_movimento_venda_terminal = emv.id_movimento_venda_terminal)
		INNER JOIN especie_financeira AS ef ON (ef.id_especie_financeira = emv.id_especie_financeira)
	WHERE 	mvt.id_movimento_venda_terminal = :Id
) AS r
GROUP BY
	r.forma_recebimento,
	r.documento;